#!/bin/sh -e

PATH='/sbin:/bin'

INTERFACE=$1

FIRMWARE_DIRS="/lib/firmware/awl13"
FIRMWARE="fwimage[0-9][0-9][0-9]_STA_SDIO.bin"

newest_firmware()
{
    local newest=""

    for f in `ls -v $FIRMWARE_DIRS/$FIRMWARE`
    do
	newest="$f"
    done

    echo $newest
}

firmware=`newest_firmware`
if [ -e $firmware ]; then
    cat $firmware > /sys/module/awl13_sdio/$INTERFACE/firmware
    iwpriv $INTERFACE fwload
    iwpriv $INTERFACE fwsetup
fi

